Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.model
Class DialerLimit

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.model.TimeInterval
          umontreal.iro.lecuyer.contactcenters.msk.model.DialerLimit

    public class DialerLimit

extends TimeInterval

Represents a limit on the number of calls to dial. Such a limit is described by a time interval on which it applies, the maximal number of outbound calls allowed for this dialer during the interval, and the call types on which the limit applies. This class extends the `TimeInterval` class for the information about the time interval on which the limit applies.

Constructor Summary
`DialerLimit(CallCenter cc, DialerLimitParams par)` Constructs a new dialer limit using the call center `cc`, and limit parameters `par`.

Method Summary
`int[]` | `getTypes()` Returns an array giving the list of call types on which the limit applies.
`int` | `getValue()` Returns the maximal number of calls of the specified typeset during the given interval.
`boolean` | `hasType(int k)` Returns `true` if and only if this limit applies to call type `k`.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.model.TimeInterval
`checkIntervals, create, getEndingTime, getStartingTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialerLimit

    public DialerLimit(CallCenter cc,
                       DialerLimitParams par)

  Constructs a new dialer limit using the call center `cc`, and limit parameters `par`.

  Parameters:
    `cc` - the call center model.
    `par` - the limit parameters.

Method Detail

### getValue

    public int getValue()

  Returns the maximal number of calls of the specified typeset during the given interval.

  Returns:
    the value of the limit.

### getTypes

    public int[] getTypes()

  Returns an array giving the list of call types on which the limit applies.

  Returns:
    the list of call types on which the limit applies.

### hasType

    public boolean hasType(int k)

  Returns `true` if and only if this limit applies to call type `k`. This method always returns `false` for inbound call types.

  Parameters:
    `k` - the tested call type.
  Returns:
    the success indicator of the test.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.